<form *ngIf="employeeForm" [formGroup]="employeeForm" (ngSubmit)="onSubmit()">
  <mat-card class="employee-form">
    <mat-card-title>
      <div class="flex-title">
        <div>{{ id ? "Update" : "Create" }} Employee</div>
        <button
          *ngIf="id"
          mat-icon-button
          class="remove-icon"
          aria-label="Example icon-button with a heart icon"
          (click)="openConfirmDialog($event)"
        >
          <mat-icon>delete_sweep</mat-icon>
        </button>
      </div>
    </mat-card-title>
    <mat-card-content>
      <div>
        <mat-form-field appearance="fill">
          <mat-label>First Name</mat-label>
          <input formControlName="firstname" maxlength="50" matInput />
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Last Name</mat-label>
          <input formControlName="lastname" maxlength="50" matInput />
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="fill">
          <mat-label>Employee Type</mat-label>
          <mat-select formControlName="employeetype">
            <mat-option value="Permanent">Permanent</mat-option>
            <mat-option value="Part-time">Part-time</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="fill">
          <mat-label>Birth Date</mat-label>
          <input
            formControlName="birthdate"
            matInput
            [matDatepicker]="isbirthdate"
          />
          <mat-datepicker-toggle
            matSuffix
            [for]="isbirthdate"
          ></mat-datepicker-toggle>
          <mat-datepicker #isbirthdate></mat-datepicker>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="fill">
          <mat-label>Start Date</mat-label>
          <input
            formControlName="startdate"
            matInput
            [matDatepicker]="isstartdate"
          />
          <mat-datepicker-toggle
            matSuffix
            [for]="isstartdate"
          ></mat-datepicker-toggle>
          <mat-datepicker #isstartdate></mat-datepicker>
        </mat-form-field>
      </div>
      <div>
        <mat-form-field appearance="fill">
          <mat-label>Salary (BAHT)</mat-label>
          <input formControlName="salary" type="number" [min]="0" matInput />
        </mat-form-field>
        <mat-form-field appearance="fill">
          <mat-label>Provident Fund Rate (2% – 10%)</mat-label>
          <input
            formControlName="pvfrate"
            type="number"
            [min]="0"
            [max]="10"
            matInput
          />
        </mat-form-field>
      </div>
    </mat-card-content>

    <mat-divider inset></mat-divider>
    <mat-card class="error-card" *ngIf="errorMessage">
      <p>{{ errorMessage }}</p>
    </mat-card>

    <mat-card-actions>
      <div fxFlex fxLayout="row" fxLayoutAlign="flex-end center">
        <button mat-button (click)="onBack()">Back</button>
        <button type="submit" mat-raised-button>
          {{ id ? "Save" : "Create" }}
        </button>
      </div>
    </mat-card-actions>
  </mat-card>
</form>
